//
//  ViewController.m
//  test123
//
//  Created by Eveian on 2014/12/21.
//  Copyright (c) 2014年 Eveian. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()<UITableViewDataSource,UITableViewDelegate>
@property(nonatomic,weak) IBOutlet UITableView* tableView1;
@property(nonatomic,strong) NSArray* dataSource;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

-(NSArray*) dataSource{
    if (!_dataSource) {
        NSMutableArray* items = [@[]mutableCopy];
        for (int i = 0; i < 20; ++i) {
            [items addObject:[NSString stringWithFormat:@"%d",i]];
        }
        _dataSource = [[NSArray alloc] initWithArray:items];
    }
    return _dataSource;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section{
    return [self.dataSource count]*2-1;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath{
    
    static NSString *cellSpaceIdentifier = @"CELL_SPACE";
    
    //间距cell
    if (indexPath.row % 2 == 1){
        UITableViewCell* cell2 = [tableView dequeueReusableCellWithIdentifier:cellSpaceIdentifier];
        
        if (!cell2){
            cell2 = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault
                                           reuseIdentifier:cellSpaceIdentifier];
            [cell2.contentView setAlpha:0];
            [cell2 setUserInteractionEnabled:NO];
        }
        return cell2;
    }
    
    static NSString* cellID = @"CELL_ID";
    UITableViewCell* cell = [tableView dequeueReusableCellWithIdentifier:cellID];
    
    if(!cell){
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault
                                      reuseIdentifier:cellID];
    }
    
    NSString *value = [self.dataSource objectAtIndex:(indexPath.row/2)];
    cell.textLabel.text = value;
    cell.backgroundColor = [UIColor yellowColor];
    return cell;
}

- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath
{
    if (indexPath.row % 2 == 1)
        return 20;
    return 44;
}
@end
